SCUMMVM(6)

NAME
scummvm - adventure and role-playing game interpreter

SYNOPSIS
scummvm [OPTIONS] [GAME]

DESCRIPTION
scummvm is an interpreter that will play numerous adventure and role-playing games based on a variety of game engines.

GAME is a short name of game to load. This can be either a built-in gameid (as given by --list-games), or a user-configured target (as given by --list-targets).

OPTIONS
The meaning of most long options (that is, those options starting with a double-dash) can be inverted by prefixing them with no-. For example, --no-aspect-ratio will turn aspect ratio correction off. This is useful if you want to override a setting in the configuration file.

-a | --add
    Add all games from current or specified (with --path=PATH) directory. If --game=ID is passed, only the game with id ID is added.

    See also --detect.

-b | --boot-param=NUM
    Pass number NUM to the boot script, for games supporting this feature.

-c | --config=CONFIG
    Use alternate configuration file.

-d | --debuglevel[=NUM]
    Enable and set debug verbosity level (default: 0).

-e | --music-driver=MODE
    Select music driver:

    adlib
        Internal AdLib emulation.

    alsa
        Output using ALSA sequencer device.

    core
        CoreAudio sound (macOS).

    coremidi
        CoreMIDI sound (macOS).

    fluidsynth
        FluidSynth MIDI emulation.

    mt32
        Internal MT-32 emulation.

    null
        Null output. Don't play any music.

    pcjr
        Internal PCjr emulation.

    pcspk
        Internal PC Speaker emulation.

    seq Use /dev/sequencer for MIDI (some Unix systems).

    sndio
        Use sndio MIDI.

    timidity
        Connect to TiMidity++ MIDI server.

    towns
        Internal FM-TOWNS YM2612 emulation (only usable in SCUMM FM-TOWNS games). Use only if you have a hardware MIDI synthesizer.

    windows
        Windows built-in MIDI sequencer (Windows).

-F | --no-fullscreen
    Force windowed mode.

-f | --fullscreen
    Force full-screen mode.

-g | --gfx-mode=MODE
    Select graphics mode ( opengl, surfacesdl).

-h | --help
    Display a brief help text, and exit.

-l | --logfile=PATH
    Use alternate path for log file.

-m | --music-volume=NUM
    Set the music volume, 0–255 (default: 192).

-n | --[no-]subtitles
    Enable subtitles (for games that have voice).

-p | --path=PATH
    Set the path to where the game is installed.

-q | --language=LANG
    Select game's language:
    ar  Arabic (Modern Standard)
    ca  Catalan
    zh  Chinese (Generic)
    cn  Chinese (Simplified)
    tw  Chinese (Traditional)
    hr  Croatian
    cs  Czech
    da  Danish
    nl  Dutch
    en  English (Generic, default)
    gb  English (Great Britain)
    us  English (US)
    et  Estonian
    fi  Finnish
    be  Flemish
    fr  French
    de  German
    el  Greek
    he  Hebrew
    hu  Hungarian
    it  Italian
    ja  Japanese
    ko  Korean
    lv  Latvian
    nb  Norwegian (Bokmål)
    fa  Persian
    pl  Polish
    br  Portuguese (Brazil)
    pt  Portuguese (Portugal)
    ru  Russian
    sr  Serbian
    sk  Slovak
    es  Spanish
    se  Swedish
    tr  Turkish
    uk  Ukrainian

-r | --speech-volume=NUM
    Set the voice volume, 0–255 (default: 192).

-s | --sfx-volume=NUM
    Set the SFX volume, 0–255 (default: 192).

-t | --list-targets
    Display list of user-configured game targets, and exit.

-u | --dump-scripts
    Enable script dumping if a directory called dumps exists in the current directory.

-v | --version
    Display ScummVM version information, and exit.

-x | --save-slot[=SLOT]
    Set the saved game slot to load (default: 0 = autosave).

-z | --list-games
    Display list of supported games, and exit.

--[no-]alt-intro
    Toggle alternative intro for CD versions of Beneath a Steel Sky and Flight of the Amazon Queen (default: disabled).

--[no-]aspect-ratio
    Toggle aspect ratio correction.

--auto-detect
    Display a list of games from current or specified directory, and start the first one. Use --path=PATH to specify a directory.

--cdrom=DRIVE
    Set the drive to play CD audio from; can either be a drive, path, or numeric index (default: 0 = best choice drive).

--[no-]copy-protection
    Enable copy protection in games, when ScummVM disables it by default.

--[no-]dirtyrects
    Toggle dirty rectangles optimisation in software renderer (default: enabled).

--debug-channels-only
    Show only the specified debug channels.

--debugflags=FLAGS
    Enable engine specific debug flags (separated by commas).

--[no-]demo-mode
    Toggle demo mode of Maniac Mansion or The 7th Guest (default: disabled).

--detect
    Display a list of games with their ID from current or specified directory without adding it to the configuration file. Use --path=PATH to specify a directory.

--dump-midi
    Dump MIDI events to dump.mid (overwriting it), until quitting from game.

--enable-gs
    Enable patch mappings to emulate an MT-32 on a Roland GS device for MIDI playback.

--engine=ID
    In combination with --list-games or --list-all-games, only list games for this engine.

--engine-speed=NUM
    Set frame per second limit (0–100) for 3D games, 0 = no limit (default: 60).

--extrapath=PATH
    Set the extra path to additional game and ScummVM data.

--[no-]filtering
    Force filtered/unfiltered graphics mode. Filtered graphics mode uses bilinear interpolation while unfiltered graphics mode uses nearest neighbor.

--game=ID
    In combination with --add or --detect, only add or attempt to detect the game with id ID.

--gui-theme=THEME
    Select a GUI theme, as given by --list-themes.

--joystick[=NUM]
    Enable joystick input (default: 0 = first joystick).

--iconspath=PATH
    Set the path to additional icons for the launcher grid view.

--list-all-debugflags
    Display list of all engine debugflags, and exit.

--list-all-engines
    Display list of all detection engines, and exit.

--list-all-games
    Display list of all detected games, and exit.

--list-audio-devices
    List all available audio devices, and exit.

--list-debugflags[=ENGINE]
    Display list of engine specified debugflags, and exit. If the ENGINE argument is “global”, or if it is not specified, list global debugflags.

--list-engines
    Display list of supported engines, and exit.

--list-saves
    Display a list of saved games for the target specified with --game=TARGET, or all targets if none is specified, and exit.

--list-themes
    Display list of all usable GUI themes, and exit.

--md5
    Show MD5 hash of the file given by --md5-path=PATH. If --md5-length=NUM is passed, then show the MD5 hash of the first (if positive) or last (if negative) NUM bytes of the file given by PATH. If --md5-engine=ENGINE_ID is passed, fetch the MD5 length automatically, overriding --md5-length.

--md5mac
    Like --md5, but for old Macintosh files. Show MD5 hash for both the resource fork and data fork of the file.

--midi-gain=NUM
    Set the gain for MIDI playback, 0–1000 (default: 100). Only supported by some MIDI drivers.

--multi-midi
    Enable combination of AdLib and native MIDI.

--native-mt32
    Tell ScummVM that the MIDI device is an actual Roland MT-32 or compatible device. This disables any GM emulation.

--opl-driver=DRIVER
    Select AdLib (OPL) emulator ( alsa, db, mame, nuked, opl2lpt).

--output-channels=RATE
    Set output channel count (e.g. 2 for stereo).

--output-rate=RATE
    Set output sample rate in Hz (e.g. 22050).

--platform=PLATFORM
    Specify platform of game ( 2gs, 3do, acorn, amiga, android, apple2, atari, atari8, beos, c64, cdi, coco, coco3, cpc, fmtowns, ios, linux, macintosh, macintosh2, megadrive, nes, os2, pc, pc98, pce, pippin, playstation, playstation2, ppc, saturn, segacd, shockwave, ti994, wii, windows, xbox, zx).

--random-seed=NUM
    Set the random seed number used to initialize entropy.

--[no-]recursive
    In combination with --add or --detect, recurse down all subdirectories (default: disabled).

--render-mode=MODE
    Enable additional render modes ( 2gs, amiga, atari, cga, cgaBW, cgaComp, ega, fmtowns, hercAmber, hercGreen, macintosh, macintoshbw, pc9801, pc9821, vga).

--renderer=RENDERER
    Select 3D renderer ( opengl, opengl_shaders, software).

--savepath=PATH
    Specify where saved games are stored.

--scale-factor=FACTOR
    Set the factor to scale the graphics by.

--scaler=MODE
    Select graphics scaler ( normal, hq, edge, advmame, sai, supersai, supereagle, pm, dotmatrix, tv2x).

--screenshotpath=PATH
    Specify path where screenshot files are created.

--[no-]show-fps
    Toggle FPS info in 3D games.

--soundfont=FILE
    Select the SoundFont for MIDI playback (only supported by some MIDI drivers).

--start-movie=NAME@NUM
    Start movie at frame for Director. Either argument can be specified without the other.

--stretch-mode=MODE
    Select stretch mode ( center, even-pixels, fit, fit_force_aspect, pixel-perfect, stretch).

--talkspeed=NUM
    Set talk delay for SCUMM games, or talk speed for other games.

--tempo=NUM
    Set music tempo (in percent, 50–200) for SCUMM games (default: 100).

--themepath=PATH
    Set the path to GUI themes.

--window-size=W,H
    Set the window size to the specified dimensions (OpenGL only).

INGAME HOTKEYS

Ctrl-F5
    Display the Global Menu

Cmd-q
    Quit (macOS)

Ctrl-q
    Quit (Most platforms)

Ctrl-u
    Mute all sounds

Ctrl-m
    Toggle mouse capture

Ctrl-Alt 1-8
    Switch between graphics filters

Ctrl-Alt +
    Increase scale factor

Ctrl-Alt -
    Decrease scale factor

Ctrl-Alt a
    Toggle aspect-ratio correction

Ctrl-Alt f
    Toggle graphics filtering

Ctrl-Alt s
    Cycle through scaling modes

Alt-Enter
    Toggle full screen/windowed mode

Alt-s
    Take a screenshot

Ctrl-F7
    Open virtual keyboard (if available). This can also be triggered by a long press of the middle mouse button or wheel

Ctrl-Alt d
    Open the ScummVM debugger

There are many more game-specific hotkeys. See: https://wiki.scummvm.org/index.php?title=Category:Supported_Games

ENVIRONMENT

SCUMMVM_MIDI
    The sequencer device to use with the ‘seq’ MIDI driver.

SCUMMVM_MIDIPORT
    The number of the sequencer to use when using the ‘seq’ MIDI driver.

SCUMMVM_PORT
    The ALSA port to open for output when using the ‘alsa’ MIDI driver.

SCUMMVM_SAVEPATH
    Override the default save path (POSIX systems).

FILES

$HOME/.config/scummvm/scummvm.ini
    Configuration file on most Unix systems. XDG environment variables take precedence, if defined.

$HOME/Library/Preferences/ScummVM Preferences
    Configuration file on macOS.

EXAMPLES
Running the built-in game launcher:

    $ scummvm

Running Day of the Tentacle, specifying the path:

    $ scummvm -p /usr/local/share/games/tentacle scumm:tentacle

Running The Dig with advmame2x filter and subtitles (with the dig-steam target already defined in the configuration file):

    $ scummvm --scaler=advmame --scale-factor=2 -n dig-steam

Running the Italian version of Maniac Mansion fullscreen, from the content of the current directory:

    $ scummvm -q it -f scumm:maniac

SEE ALSO
https://docs.scummvm.org

AUTHORS
ScummVM was written by the ScummVM team. See AUTHORS file for more information.